Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Marc Zyngier <[email-masked]>
Date: Fri, 17 Aug 2018 10:33:42 +0100

On Fri, 17 Aug 2018 09:32:55 +0100,
Paolo Bonzini <[email-masked]> wrote:
> 
> On 16/08/2018 02:15, Stephen Rothwell wrote:
> >>  -#define ARM64_HAS_STAGE2_FWB			31
> >>  +#define ARM64_MISMATCHED_CACHE_TYPE		31
> >> ++#define ARM64_HAS_STAGE2_FWB			32
> >>   
> >> --#define ARM64_NCAPS				32
> >> ++#define ARM64_NCAPS				33
> >>   
> >>   #endif /* __ASM_CPUCAPS_H */
> > This is now a conflict between Linus' tree and the kvm-arm tree (and
> > presumably soon the kvm tree).
> 
> This should have been sorted out using topic branches.  I'll handle it
> myself by splitting the pull request in two, but please try to organize
> better the changes in non-KVM-specific arch/arm and arch/arm64 files.

We've dealt with that kind of trivial conflicts in the past without
requiring topic branches (cpucaps.h has always been a popular place),
and I always assumed that this was acceptable. I must have
misunderstood something here.

Next time, I'll direct the architecture-specific code via the arm64
tree directly.

Thanks,

	M.

-- 
Jazz is not dead, it just smell funny.